* {
    box-sizing:border-box;
    margin: 0;
    padding: 0;
    font-family: 'Georgia', serif;
}

.navbar {
    background: #FFFFFF;
    height: 80px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 1.2rem;
    position: sticky;
    top: 0;
    z-index: 999;

}

.navbar__container {
    display:flex;
    justify-content: space-between;
    height: 80px;
    z-index: 1;
    width: 100%;
    max-width: 1300px;
    margin: 0 auto;
    padding: 0 50px;

}

#navbar__logo{
    background-color: #000000;
    background-image: linear-gradient(to top, #000000 40%, #FFFFF0 100%);
    padding-left: 25px;
    background-size: 100%;
    -webkit-background-clip: text;
    -moz-background-clip: text;
    -webkit-text-fill-color: transparent;
    -moz-text-fill-color: transparent;
    display: flex;
    align-items: center;
    cursor: pointer;
    text-decoration: none;
    font-size: 2rem;

}

.navbar__menu {
    display: flex;
    align-items: center;
    list-style: none;
    text-align: center;

}

.navbar__item {
    height: 80px;
}

.navbar__links{
    color: #000000;
    display: flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    padding: 0 1rem;
    height: 100%;
}

.navbar__btn{
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0 1rem;
    width: 100%;
}

.button {
    display: flex;
    justify-content: center;
    align-items: center;
    text-decoration: none;
    padding: 10px 20px;
    height: 100%;
    width: 100%;
    border: none;
    outline: none;
    border-radius: 4px;
    background: #000000;
    color: #FFFFFF;
}

.button:hover {
    background: #B8860B;
    color: #FFFFFF;
    transition: all 0.3s ease;
}

.navbar__links:hover {
    color: #B8860B;
    transition: all 0.3s ease;
}

@media screen and (max-width: 960px) {
    .navbar__container {
        display: flex;
        justify-content: space-between;
        height: 80px;
        z-index: 1;
        width: 100%;
        max-width: 1300px;
        padding: 0;
    }

    .navbar__menu{
        display: grid;
        grid-template-columns: auto;
        margin: 0;
        width: 100%;
        position: absolute;
        top: -1000px;
        opacity: 0;
        height: 50vh;
        z-index: -1;
        background-color: #FFFFFF;
    }

    .navbar__menu.active{
        background-color: #FFFFFF;
        top: 100%;
        opacity: 1;
        transition: all 0.4s ease;
        z-index: 99;
        height: 50vh;
        font-size: 1.6rem;
    }

    #navbar__logo{
        padding-left: 25px;
    }

    .navbar__toggle .bar{
        width: 25px;
        height: 3px;
        margin: 5px auto;
        transition: all 0.2s ease-in-out;
        background: #000000;
    }

    .navbar__item{
        width: 100%;
    }

    .navbar__links{
        text-align: center;
        padding: 2rem;
        width: 100%;
        display: table;
    }

    #mobile-menu {
        position: absolute;
        top: 20%;
        right: 5%;
        transform: translate(5%, 20%);
    }

    .navbar__btn{
        padding-bottom: 2rem;
    }

    .button{
        display: flex;
        justify-content: center;
        align-items: center;
        width: 80%;
        height: 80px;
        margin: 0;
    }

    .navbar__toggle .bar {
        display: block;
        cursor: pointer;
    }
}


/* HERO SECTION CSS*/
.main {
    background-color: #000000;
}

.main__container {
    display:  grid;
    grid-template-columns: 1fr 1fr;
    align-items: center;
    justify-self: center;
    margin: 0 auto;
    height: 100vh;
    background-color: #000000;
    z-index: 1;
    width: 100%;
    max-width: 1300px;
    padding: 0 50px;
}

.main__content h1 {
    font-size: 4rem;
    background-color: #FFFFFF;
    background-size: 100%;
    -webkit-background-clip: text;
    -moz-background-clip: text;
    -webkit-text-fill-color: transparent;
    -moz-text-fill-color: transparent;
}

.main__content h2 {
    font-size: 4rem;
    background-color: #FFFFFF;
    background-image: linear-gradient(to top, #000000 0%, #FFFFF0 100%);
    background-size: 100%;
    -webkit-background-clip: text;
    -moz-background-clip: text;
    -webkit-text-fill-color: transparent;
    -moz-text-fill-color: transparent;
}

.main__content p {
    margin-top: 1rem;
    font-size: 2rem;
    font-weight: 700;
    color: #FFFFFF;
}

.main__btn {
    font-size: 1rem;
    background-color: #FFFFFF;
    padding: 14px 32px;
    border: none;
    border-radius: 4px;
    color: #FFFFFF;
    margin-top: 2rem;
    cursor: pointer;
    position: relative;
    transition: all 0.35s;
    outline: none;
}

.main__btn a {
    position: relative;
    z-index: 2;
    color: #000000;
    text-decoration: none;
}

.main__btn:after {
    position: absolute;
    content: '';
    top: 0;
    left: 0;
    width: 0;
    height: 100%;
    background: #B8860B;
    transition: all 0.35s;
    border-radius: 4px;
}

.main__btn:hover {
    color: #FFFFFF;
}

.main__btn:hover a {
    color:#FFFFFF;
}

.main__btn:hover:after {
    width: 100%;
}

.main__img--container {
    display: grid;
    grid-template-columns: 1fr 700px;
    text-align: center;
    min-width: 0px;
    overflow: hidden;
}

/* #main__img {
    height: auto;
    width: 700px;
} */

/* MOBILE RESPONSIVE */
@media screen and (max-width: 768px) {
    .main__container {
        display: grid;
        grid-template-columns: auto;
        align-items: center;
        justify-self: center;
        width: 100%;
        margin: 0 auto;
        height: 90vh;
        background-image: url('images/main-content1.svg');
        background-size: cover;
        background-position: center;
        background-repeat: no-repeat;
        overflow: hidden;
    }

    .main__content {
        text-align: center;
        margin-bottom: 4rem;
    }

    .main__content h1 {
        font-size: 2.5rem;
        margin-top: 2rem;
    }

    .main__content h2 {
        font-size: 3rem;
    }

    .main__content p {
        margin-top: 1rem;
        font-size: 1.5rem;
    }

    .main__img--container {
        display: none;
    }
}

@media screen and (max-width: 480px) {
    .main__container {
        background-image: url('images/main-content1.svg');
        background-size: cover;
        background-position: center;
        background-repeat: no-repeat;
        justify-content: center;
    }
    
    .main__content h1 {
        font-size: 2rem;
        margin-top: 3rem;
    }

    .main__content h2 {
        font-size: 2rem;
    }

    .main__content p {
        margin-top: 2rem;
        font-size: 1.5rem;
    }

    .main__btn {
        padding: 20px 36px;
        margin-top: 2.5rem;
    }

    .main__img--container {
        display: none;
    }
}

/* PROJECTS SECTION CSS */
.projects {
    background: #FFFFFF;
    display: flex;
    flex-direction: column;
    align-items: center;
    height: 100vh;
}

.projects h1 {
    background-color: #000000;
    background-image: linear-gradient(to right, #353935 0%, #36454F 10%, #343434 21%, #36454F 52%, #353935 78%, #28282B 100%);
    background-size: 100%;
    margin-top: 3rem;
    margin-bottom: 4.5rem;
    font-size: 2.5rem;
    -webkit-background-clip: text;
    -moz-background-clip: text;
    -webkit-text-fill-color: transparent;
    -moz-text-fill-color: transparent;
}

.projects__container {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
}

.projects__card {
    margin: 1rem;
    height: 525px;
    width: 400px;
    border-radius: 4px;
    background-image: linear-gradient(to bottom, RGBA(0,0,0,0) 0%, RGBA(17,17,17,0.6) 100%), url('images/pic2.jpg');
    background-size: cover;
    position: relative;
    color: #FFFFFF;
}

.projects__card:nth-child(2) {
    background-image: linear-gradient(to bottom, RGBA(0,0,0,0) 0%, RGBA(17,17,17,0.6) 100%), url('images/pic3.jpg');
}

.projects__card h2 {
    position: absolute;
    top: 345px;
    left: 30px;
    padding-right: 30px;
}

.projects__card p {
    position: absolute;
    top: 400px;
    left: 30px;
}

.projects__card button {
    color: #FFFFFF;
    padding: 10px 20px;
    border: none;
    outline: none;
    border-radius: 4px;
    background: #B8860B;
    position: absolute;
    top: 440px;
    left: 30px;
    font-size: 1rem;
    cursor: pointer;
}

.projects__card:hover {
    transform: scale(1.075);
    transition: 0.2s ease-in;
    cursor: pointer;
}

@media screen and (max-width: 960px) {
    .projects {
        height: 100%;
    }

    .projects__container {
        margin-bottom: 5rem;
    }

    .projects h1 {
        font-size: 2rem;
        margin-top: 2rem;
        margin-bottom: 2.5rem;
    }
}

@media screen and (max-width: 480px) {
    .projects {
        height: 100%;
        overflow: hidden;
    }    

    .projects h1 {
        font-size: 1.5rem;
        margin-bottom: 1rem;
    }

    .projects__container {
        margin-bottom: 2.5rem;
    }

    .projects__card {
        width: 300px;
    }

    .projects__card h2 {
        font-size: 1.3rem;
    }
}

/* FOOTER */
.footer__container {
    background-color: #FFFFFF;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.social__media {
    display: flex;
    flex-grow: 0;
    padding-left: 75px;
}

.website__rights {
    color: #000000;
}

#footer__logo {
    color: #000000;
    display: flex;
    align-items: center;
    cursor: pointer;
    text-decoration: none;
    font-size: 2rem;
}

.footer__links {
    display: flex;
    justify-content: center;
    width: 100%;
    max-width: 1300px;
}

.footer__link--wrapper {
    display: flex;
    justify-content: center;
    padding: 0 5rem;
    flex-grow: 1;
}

.footer__link--items {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    margin: 1rem;
    text-align: left;
    width: 160px;
    box-sizing: border-box;
}

.footer__link--items h2 {
    margin-bottom: 0.5rem;
}

.footer__link--items > h2 {
    color: #000000;
}

.footer__link--items a {
    color: #000000;
    text-decoration: none;
    margin-bottom: 0.5rem;
}

.footer__link--items a:hover {
    color:#B8860B;
    transition: 0.3s ease-out;
}

@media screen and (max-width: 960px) {
    .footer__links {
        padding-top: 0rem;
    }

    #footer__logo {
        margin-bottom: .5rem;
    }

    .website__rights {
        margin-bottom: 2rem;
        font-size: .7rem;
    }

    .footer__link--wrapper {
        flex-direction: column;
        padding: 0 1rem;
        align-items: center;
    }

    .social__media {
        flex-direction: column;
        padding-left: 25px;
    }
}

@media screen and (max-width: 480px) {
    .footer__link--items {
        margin: 0;
        padding: 10px;
        width: 100%;
        font-size: .9rem;
    }
}